XmStringPeekNextComponent(3)

NAME
XmStringPeekNextComponent — A compound string function that returns the component type of the next component to be fetched

SYNOPSIS

#include <Xm/Xm.h>
XmStringComponentType XmStringPeekNextComponent(
XmStringContext context);

DESCRIPTION

This function is obsolete and exists for compatibility with previous releases. It is replaced by XmStringPeekNextTriple. XmStringPeekNextComponent examines the next component that would be fetched by XmStringGetNextComponent and returns the component type.

context
    Specifies the string context structure that was allocated by the XmStringInitContext function

RETURN

Returns the type of component found. Refer to the XmStringComponentType(3) reference page for a list of component types.

RELATED

XmStringComponentType(3), XmStringCreate(3), XmStringGetNextComponent(3), and XmStringInitContext(3).